Package org.apache.sling.api.request

# Class TooManyCallsException

java.lang.Object
java.lang.Throwable
java.lang.Exception
java.lang.RuntimeException
org.apache.sling.api.SlingException
org.apache.sling.api.request.TooManyCallsException

All Implemented Interfaces:
  `Serializable`

public class TooManyCallsException extends SlingException
The `TooManyCallsException` is thrown by the Sling implementation if to many inclusions have been called for during a single request. The limit of inclusions is implementation dependent.

See Also:
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`TooManyCallsException(String servletName)`
Creates an instance of this exception naming the Servlet (or Script) whose call caused this exception to be thrown.

## Method Summary

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### TooManyCallsException

public TooManyCallsException(String servletName)
Creates an instance of this exception naming the Servlet (or Script) whose call caused this exception to be thrown.

The servlet name is the actual message of the exception.

Parameters:
  `servletName` - The name of the Servlet (or Script) causing this exception.